Subject: Re: [PATCH] [POWERPC] i2c: fix build breakage introduced by OF helpers

From: Jean Delvare <[email-masked]>
Date: Sat, 19 Apr 2008 11:09:34 +0200

On Fri, 18 Apr 2008 23:11:28 -0700 (PDT), David Miller wrote:
> From: Paul Mackerras <[email-masked]>
> Date: Sat, 19 Apr 2008 15:22:37 +1000
> 
> > David Miller writes:
> > > From: Paul Mackerras <[email-masked]>
> > > Date: Sat, 19 Apr 2008 14:04:32 +1000
> > > 
> > > It's OK if this breaks the sparc64 allmodconfig build, I'll take
> > > care of this once it's merged in.
> > 
> > It breaks the sparc32 allmodconfig build, which seems to be a
> > concern.  How do you suggest we fix that?
> 
> I'll fix both sparc64 and sparc32 builds when I merge my sparc
> tree in.

Guys, you're doing things the wrong way around. Breaking things to fix
them later is not OK, it's a pain for testers and also when bisecting
the kernel. Everything should still work after merging the powerpc
tree. Dave, if you need to loosen the dependency, you should do it
yourself _after_ having changed whatever needs to be in the sparc32 and
sparc64 trees so that loosening the dependency doesn't break anything.
As far as I can see it's only a matter of changing one line in a
Kconfig file, that's not exactly difficult to do it in the right order.

Thanks,
-- 
Jean Delvare